#ifndef TEXT_H
#define TEXT_H
/*
 * Text drawing
 * (C) 2006 Väinö Helminen
 * $Id: text.h,v 1.1.1.1 2006-12-01 19:26:00 vah Exp $
 */

#include <SDL/SDL.h>

typedef enum {
  LEFT, RIGHT, CENTER
} Alignment;

/* align a string to the left, right or center of the surface. x is taken as an offset,
   eg. with LEFT and x=5 text will start at 5 pixels from the left border.
   x must be positive for LEFT, negative for RIGHT and CENTER can have both.
   y is absolute coordinate. use with simple strings only, ie. no control chars. */
void alignString(const char *string, Alignment align, int x, int y, SDL_Surface *surface, Uint32 color);

/* allows you to print text with multiple lines and tabs.
  make sure the text fits the screen and lines are not be too long or you risk a crash. */
void drawText(const char *string, int x, int y, SDL_Surface *surface, Uint32 color);


#endif
